<%@page import="eu.europa.ec.re3gistry.constants.Constants"%>
<%@page import="eu.europa.ec.re3gistrycommon.model.Dataprocedure"%>
<%@page import="javax.persistence.EntityManager"%>
<%@page import="java.util.List"%>
<%@page import="eu.europa.ec.re3gistrycommon.model.Procedurestatus"%>
<%@page import="eu.europa.ec.re3gistrycommon.managers.ProcedurestatusMgr"%>
<%@page import="eu.europa.ec.re3gistrycommon.managers.DataprocedureMgr"%>
<%@page import="eu.europa.ec.re3gistrycommon.utils.PersistenceFactory"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%
    EntityManager em = PersistenceFactory.getEntityManagerFactory().createEntityManager();
    DataprocedureMgr dataprocedureMgr = new DataprocedureMgr(em);
    ProcedurestatusMgr procedurestatusMgr = new ProcedurestatusMgr(em);
    Procedurestatus procedurestatusCompleted = procedurestatusMgr.getStatusByUuid(eu.europa.ec.re3gistrycommon.constants.Constants.ID_COMPLETED_STATUS);

    List<Dataprocedure> completeddataprocedures = dataprocedureMgr.findByProcedurestatus(procedurestatusCompleted);
    if (completeddataprocedures.size() == 0) {
%>
<style>
    #deploy{
        display:none
    }
</style>
<%
    }
%>
<h2>${localization['home.title']}</h2>
<script src ="./res/js/ckeditor/ckeditor.js"></script>
<div class="main-content">
    <p>${localization['home.text']}</p>
</div>

<a href="#" id="newdata">${localization['home.newtitle']}</a>
<a href="#" id="deploy">${localization['home.deploy']}</a>

<div id="newdata-dialog" title="${localization['home.newtitle']}">    
    <form id="fnewdata" enctype="multipart/form-data" method="post" action="./procedurestart">
        <label>${localization['dialog.selectdatafile']}:</label>
        <div id="upload-file-container">
            <span id="loaddata">Load data file</span>
            <input type="file" name="datafile" id="datafile" accept="application/zip">
        </div>
        <span class="dialog-input-error" id="datafile-fdb"><br/></span>
        <span class="example">${localization['dialog.label.examplefile']}: 
            <ul>
                <li><a href="./examples/EmptyDataFile.zip">${localization['dialog.label.examplefile.filemodel']}</a></li>
                <li><a href="./examples/ExampleTestFile.zip">${localization['dialog.label.examplefile.data']}</a></li> 
            </ul>
        </span>
        <br/><br/><br/>

        <label>${localization['dialog.selectlabel']}:</label>
        <input class="desc" id="lbl" name="lbl" type="text" maxlength="60"/>
        <span class="dialog-input-error" id="lbl-fdb"></span>
        <br/><br/>

        <label>${localization['dialog.selectoptions']}:</label>
        <input class="ckmid" type="checkbox" name="fwarnings"  />
        <span>${localization['dialog.fwarning.label']}</span>
        <a class="hlp" title="${localization['dialog.fwarning.message']}"></a>
        <br/><br/><br/>

        <input type="submit" id="sbmt" value="Start prodecure" />
        <span id="ldr">&nbsp;</span>
    </form>
</div>
<div id="deploy-dialog" title="${localization['home.deploytitle']}">

    <form method="post" action="./deploy">

        <p>${localization['deployer.description']}</p>

        <span class="cbx">
            <input type="checkbox" name="rss" id="rss"/><label>${localization['deployer.rss.flag']}</label><br/><br/>
            <input type="checkbox" name="changelog" id="changelog" disabled="disabled" /><label>${localization['deployer.rss.changelog']}</label><br/><br/>    
        </span>

        <div class="t-dep">
            <p>${localization['deployer.titlelabel']}</p>
            <input type="text/css" id="l-l-dep" name="l-l-dep" class="l-l-dep" value="${localization['deployer.defaultrsstitle']}" />
            <p>${localization['deployer.label.customizerss']}</p>
            <textarea class="ttdep" name="ttdep"></textarea>
            <br/>
        </div>

        <p id="fdb">${localization['deployer.label.completefields']}</p>
        <input id="deploybtn" type="submit" value="${localization['deployer.commandbutton']}" />
        <span id="ldrd"></span>


    </form>

    <script>
        $(function () {
            $('#deploybtn').button().on("click", function (e) {
                e.preventDefault();
                if (!$("#rss").is(':checked') || ($("#rss").is(':checked') && $("#l-l-dep").val().length > 0 && CKEDITOR.instances.ttdep.getData().length > 0)) {
                    $("#ldrd").css("display", "inline-block");
                    $("#deploy-dialog form").submit();
                } else {
                    $("#fdb").show();
                }
            });
        });

        $(function () {

            $("#rss").change(function () {
                if (this.checked) {
                    $("#changelog").show();
                    $("#changelog").removeAttr("disabled");
                    if (!CKEDITOR.instances['ttdep']) {
                        CKEDITOR.replace('ttdep');
                    }
                    CKEDITOR.instances['ttdep'].setData(initRssDefMessage());
                    $('.t-dep').show();
                } else {
                    $("#changelog").hide();
                    $("#changelog").removeAttr("checked");
                    $('.t-dep').hide();
                    $("#fdb").hide();
                }
            })

            $("#changelog").change(function () {
                if (this.checked) {
                    $.ajax({
                        url: './includes/get-changelog.jsp',
                        success: function (data) {
                            clmsg = processChangelogJson(data);
                            CKEDITOR.instances['ttdep'].setData(initRssDefMessage() + clmsg);
                        }
                    });
                } else {
                    CKEDITOR.instances['ttdep'].setData(initRssDefMessage());
                }
            })

        });

        function processChangelogJson(data) {
            var r = '';
            if (data.length > 0) {
                r += '<h2>${localization['deployer.label.rss-changelog-title']}</h2><table style="width:100%"><thead><tr><th>${localization['deployer.label.rss-table-itemclass']}</th><th>${localization['deployer.label.rss-table-item']}</th><th>${localization['deployer.label.rss-table-action']}</th><th>${localization['deployer.label.rss-table-comment']}</th></tr></thead><tbody>';
                for (i = 0; i < data.length; i++) {
                    r += '<tr><td>' + data[i].itemclass + '</td><td>' + data[i].item + '</td><td>' + data[i].action + '</td><td>' + data[i].comment + '</td></tr>';
                }
                r += '</tbody></table>';
            }
            return r;
        }
        function initRssDefMessage() {
            return '${localization['deployer.label.rss-def-message']}';
        }
    </script>

</div>
<script>
    $(function () {
        var dialog = $("#newdata-dialog").dialog({
            autoOpen: false,
            //height: 500,
            width: 550,
            modal: true
        });
        $("#newdata").button({icons: {primary: "ui-icon-squaresmall-plus"}}).on("click", function (e) {
            e.preventDefault();
            $("#datafile").val("");
            $("#lbl").val("");
            dialog.dialog("open");
        });
        $("#datafile").on("change", function (event) {
            checkDataFile();
        });
        $("#lbl").on("keyup", function () {
            checkDescription();
        })
        $("#sbmt").button().on("click", function (e) {
            e.preventDefault();

            datafile = checkDataFile()
            label = checkDescription()

            if (datafile && label) {
                $("#fnewdata").submit();
                $("#ldr").css("display", "inline-block");
                setTimeout(function () {
                    window.location.href = ("./")
                }, 1000);
            }
        });
        $(".hlp").tooltip({
            track: true
        });

        //Deploy
        var deployDialog = $("#deploy-dialog").dialog({
            autoOpen: false,
            //height: 700,
            width: 800,
            modal: true
        });
        $("#deploy").button({icons: {primary: "ui-icon-arrowreturnthick-1-e"}}).on("click", function (e) {
            e.preventDefault();
            deployDialog.dialog("open");
            $("#rss").removeAttr("checked");
            $("#changelog").removeAttr("checked");
            $("#changelog").attr("disabled","disabled");
            $("#changelog").hide();
            $('.t-dep').hide();
            $("#fdb").hide();
            $("#ldrd").hide();
        });
    });
    function checkDataFile() {
        if ($("#datafile").val()) {
            $("#datafile-fdb").hide();
            $("#upload-file-container").removeClass("bderror");

            if ($("#datafile").val().indexOf('') > 0) {
                var c = '/';
            } else {
                var c = '\\';
            }
            var filename = $("#datafile").val().substring($("#datafile").val().lastIndexOf(c) + 1);
            $("#loaddata").html(filename);

            if (filename.indexOf(".zip") < 0) {
                $("#datafile-fdb").html("${localization['dialog.error.fileformat']}<br/>");
                $("#datafile-fdb").css('display', 'block');
                $("#upload-file-container").addClass("bderror");
                return false;
            } else {
                $("#datafile-fdb").hide();
                $("#upload-file-container").removeClass("bderror");
                return true;
            }
        } else {
            $("#loaddata").html("${localization['main.loaddata.label']}<br/>");
            $("#datafile-fdb").html("${localization['dialog.error.nofile']}");
            $("#datafile-fdb").css('display', 'block');
            $("#upload-file-container").addClass("bderror");
            return false;
        }
    }
    function checkDescription() {
        if ($("#lbl").val().trim().length <= 0) {
            $("#lbl-fdb").html("${localization['dialog.error.nodesc']}");
            $("#lbl-fdb").css('display', 'block');
            $("#lbl").addClass("bderror");
            return false;
        } else {
            $("#lbl-fdb").hide();
            $("#lbl").removeClass("bderror");
            return true;
        }
    }
</script>


<div id="feedback-container"> 
    <table id="procedurelist" style="width: 100%">
        <thead>
            <tr>
                <th>${localization['table.email']}</th>
                <th>${localization['table.comment']}</th>
                <th>${localization['table.status']}</th>
                <th>${localization['table.datestart']}</th>
                <th>${localization['table.dateend']}</th>
            </tr>
        </thead>
    </table>

    <p id="fmfb">${localization['home.failnotice']}
        <button id="close-fmfb"></button>
    </p>
</div>

<p>&nbsp;</p>

<div>    
    <c:forEach items="${modules}" var="module">        
        <c:if test="${homeWidgetEnabled}">
            <c:set var="module" value="${module}" scope="request"></c:set>
            <jsp:include page="../modules/${moduleName}/widget.jsp"></jsp:include>
        </c:if>
    </c:forEach>
</div>

<script>
    var failedProcedures = -1;
    var procedurelist = $('#procedurelist').DataTable({
        "jQueryUI": true,
        "pagingType": "full_numbers",
        "displayLength": 10,
        "sorting": [[3, "desc"]],
        "ajax": "./includes/get-table.jsp",
        "stateSave": true,
        "language": {"url": "./res/js/localization/data-table-languages/${localization['common.langid']}.json"}
    });
    
    checkDataProcedure()
    setInterval(function(){
        checkDataProcedure();
        procedurelist.ajax.reload();
    }, config.reloaddelay);
    
    function checkDataProcedure() {        
        $.ajax({
            url:"./includes/count-procedures.jsp",
            success: function (data) {
                if (data.completedDataProcedure > 0 && data.queuedDataProcedure<1 && data.writingDataProcedure<1 && data.checkingDataProcedure<1 && data.savingdbDataProcedure<1) {
                    $("#deploy").css("display","inline-block");
                } else {
                    $("#deploy").hide();
                }
                
                if (failedProcedures==-1){
                    failedProcedures=data.failedDataProcedure;
                }                
                if (data.failedDataProcedure != failedProcedures) {
                    $("#fmfb").show();
                    failedProcedures=data.failedDataProcedure;
                }
            }
        });
    }
    $("#close-fmfb").button({
        icons: {
            primary: "ui-icon-circle-close"
        },
        text: false
    }).on("click",function(e){
        e.preventDefault();
        $("#fmfb").hide();
    })
</script>