--reference
INSERT INTO reference VALUES ('1', 'inspire-registry-dev@jrc.ec.europa.eu', 'contactpoint', '2014-10-14 00:00:00', NULL);
INSERT INTO reference VALUES ('2', NULL, 'legalnotice', '2014-10-14 00:00:00', NULL);
INSERT INTO reference VALUES ('3', NULL, 'controlbody', '2014-10-14 00:00:00', NULL);
INSERT INTO reference VALUES ('4', NULL, 'registrymanager', '2014-10-14 00:00:00', NULL);
INSERT INTO reference VALUES ('5', NULL, 'registermanager', '2014-10-14 00:00:00', NULL);
INSERT INTO reference VALUES ('6', NULL, 'registerowner', '2014-10-14 00:00:00', NULL);
INSERT INTO reference VALUES ('7', NULL, 'registersubmitter', '2014-10-14 00:00:00', NULL);

--registry
INSERT INTO registry VALUES ('1', 'registry', 'http://localhost', '4', '2013-05-28 15:30:00', NULL);

--register
INSERT INTO register VALUES ('1', 'http://localhost', 'theme', '6', '5', '3', '7','1', '2', '1', '2013-03-25 14:14:05.33835', NULL);
INSERT INTO register VALUES ('2', 'http://localhost', 'applicationschema', '6', '5', '3','7', '1', '2', '1', '2013-03-25 14:16:22.677696', NULL);
INSERT INTO register VALUES ('3', 'http://localhost', 'codelist', '6', '5', '3', '7','1', '2', '1', '2013-03-26 11:22:11.886922', NULL);
INSERT INTO register VALUES ('4', 'http://localhost', 'featureconcept', '6', '5', '3', '7','1', '2', '1', '2013-03-25 14:16:22.677696', NULL);
INSERT INTO register VALUES ('5', 'http://localhost', 'metadata-codelist', '6', '5', '3', '7','1', '2', '1', '2014-04-12 14:16:22.677696', NULL);
INSERT INTO register VALUES ('6', 'http://localhost', 'document', '6', '5', '3', '7','1', '2', '1', '2014-04-12 14:16:22.677696', NULL);
INSERT INTO register VALUES ('7', 'http://localhost', 'glossary', '6', '5', '3', '7', '1', '2', '1', '2014-05-05 14:16:22.677696', NULL);

--itemclass
INSERT INTO itemclass VALUES ('1', '1', 'Theme', 0, 2, NULL, '2013-03-25 15:40:30.457694', NULL);
INSERT INTO itemclass VALUES ('2', '2', 'ApplicationSchema', 0, 3, NULL, '2013-03-26 11:24:16.128728', NULL);
INSERT INTO itemclass VALUES ('3', '3', 'CodeList', 0, 4, NULL, '2013-03-26 11:24:45.727957', NULL);
INSERT INTO itemclass VALUES ('4', '3', 'CodeListValue', 1, 5,  '3','2013-03-26 11:24:56.096222', NULL);
INSERT INTO itemclass VALUES ('5', '4', 'FeatureConcept', 0, 6, NULL, '2013-03-25 15:40:30.457694', NULL);
INSERT INTO itemclass VALUES ('6', '5', 'MetadataCodeList', 0, 7, NULL, '2014-04-12 11:24:45.727957', NULL);
INSERT INTO itemclass VALUES ('7', '5', 'MetadataCodeListValue', 1, 8, '6', '2014-04-12 11:24:45.727957', NULL);
INSERT INTO itemclass VALUES ('8', '6', 'Document', 0, 1, NULL, '2014-04-12 16:24:45.727957', NULL);
INSERT INTO itemclass VALUES ('9', '7', 'Glossary', 0, 0, NULL, '2014-05-05 16:24:45.727957', NULL);

--languagecode
INSERT INTO languagecode VALUES ('1', 'english', 'en', 'eng', TRUE);
INSERT INTO languagecode VALUES ('2', 'italiano', 'it', 'ita');
INSERT INTO languagecode VALUES ('3', 'czech', 'cs', 'cze');
INSERT INTO languagecode VALUES ('4', 'bulgarian', 'bg', 'bul');
INSERT INTO languagecode VALUES ('5', 'danish', 'da', 'dan');
INSERT INTO languagecode VALUES ('6', 'german', 'de', 'ger');
INSERT INTO languagecode VALUES ('7', 'greek', 'el', 'gre');
INSERT INTO languagecode VALUES ('8', 'spanish', 'es', 'spa');
INSERT INTO languagecode VALUES ('9', 'estonian', 'et', 'est');
INSERT INTO languagecode VALUES ('10', 'finnish', 'fi', 'fin');
INSERT INTO languagecode VALUES ('11', 'french', 'fr', 'fra');
INSERT INTO languagecode VALUES ('12', 'hungarian', 'hu', 'hun');
INSERT INTO languagecode VALUES ('13', 'lithuanian', 'lt', 'lit');
INSERT INTO languagecode VALUES ('14', 'latvian', 'lv', 'lav');
INSERT INTO languagecode VALUES ('15', 'maltese', 'mt', 'mlt');
INSERT INTO languagecode VALUES ('17', 'polish', 'pl', 'pol');
INSERT INTO languagecode VALUES ('16', 'dutch', 'nl', 'dut');
INSERT INTO languagecode VALUES ('18', 'portuguese', 'pt', 'por');
INSERT INTO languagecode VALUES ('19', 'romanian', 'ro', 'rum');
INSERT INTO languagecode VALUES ('20', 'slovak', 'sk', 'slo');
INSERT INTO languagecode VALUES ('21', 'slovenian', 'sl', 'slv');
INSERT INTO languagecode VALUES ('22', 'swedish', 'sv', 'swe');
INSERT INTO languagecode VALUES ('23', 'croatian', 'hr', 'hrv');

--status
INSERT INTO status VALUES ('1', 'http://localhost/registry/status', 'valid');
INSERT INTO status VALUES ('2', 'http://localhost/registry/status', 'invalid');
INSERT INTO status VALUES ('3', 'http://localhost/registry/status', 'submitted');
INSERT INTO status VALUES ('4', 'http://localhost/registry/status', 'superseded');
INSERT INTO status VALUES ('5', 'http://localhost/registry/status', 'retired');

--procedurestatus
INSERT INTO procedurestatus VALUES ('1', 'Queued');
INSERT INTO procedurestatus VALUES ('2', 'Failed');
INSERT INTO procedurestatus VALUES ('3', 'Completed');
INSERT INTO procedurestatus VALUES ('4', 'Storing data');
INSERT INTO procedurestatus VALUES ('5', 'Writing files');
INSERT INTO procedurestatus VALUES ('6', 'Deployed');
INSERT INTO procedurestatus VALUES ('7', 'Checking data');
INSERT INTO procedurestatus VALUES ('8', 'Loading');